Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-1704

[gcp] when the optional Service Usage API is disabled, IPI installation cannot succeed

    XMLWordPrintable

Details

    • Bug
    • Status: Verified
    • Critical
    • Resolution: Unresolved
    • 4.12.0, 4.11.z
    • None
    • None
    • 1
    • Hide

      None

      Show
      None
    • Hide
      Cause: serviceusage.googleapis.com was erroneously considered as optional instead of required during cluster install.
      Consequence: Installation fails without any worker machines launched.
      Fix: make serviceusage.googleapis.com be required prior to cluster install
      Result: openshift-installer fails during install validation if serviceusage API is not enabled.
      Show
      Cause: serviceusage.googleapis.com was erroneously considered as optional instead of required during cluster install. Consequence: Installation fails without any worker machines launched. Fix: make serviceusage.googleapis.com be required prior to cluster install Result: openshift-installer fails during install validation if serviceusage API is not enabled.
    • Bug Fix

    Description

      Description of problem:

      According to OCP 4.11 doc (https://docs.openshift.com/container-platform/4.11/installing/installing_gcp/installing-gcp-account.html#installation-gcp-enabling-api-services_installing-gcp-account), the Service Usage API (serviceusage.googleapis.com) is an optional API service to be enabled. But, the installation cannot succeed if this API is disabled.

      Version-Release number of selected component (if applicable):

      4.12.0-0.nightly-2022-09-25-071630

      How reproducible:

      Always, if the Service Usage API is disabled in the GCP project.

      Steps to Reproduce:

      1. Make sure the Service Usage API (serviceusage.googleapis.com) is disabled in the GCP project.
      2. Try IPI installation in the GCP project. 

      Actual results:

      The installation would fail finally, without any worker machines launched.

      Expected results:

      Installation should succeed, or the OCP doc should be updated.

      Additional info:

      Please see the attached must-gather logs (http://virt-openshift-05.lab.eng.nay.redhat.com/jiwei/jiwei-0926-03-cnxn5/) and the sanity check results. 
      FYI if enabling the API, and without changing anything else, the installation could succeed. 
      

      Attachments

        Issue Links

          Activity

            People

              rdossant Rafael Fonseca dos Santos
              rhn-support-jiwei Jianli Wei
              Jianli Wei Jianli Wei
              Votes:
              0 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

                Created:
                Updated: